
package de.ivu.elect.jee.presentation.dynamictable;

import java.io.Serializable;

public interface ColumnTypePresent extends Serializable {

  boolean isTypePresentString();

  boolean isTypePresentLong();

  boolean isTypePresentDecimalOneFractionDigit();

  boolean isTypePresentDecimalOneFractionDigitPercentage();

  boolean isTypePresentDecimalOneFractionDigitPercentagePoints();

  boolean isTypePresentDecimalTwoFractionDigits();

  boolean isTypePresentDecimalTwoFractionDigitsPercentage();

  boolean isTypePresentDecimalTwoFractionDigitsPercentagePoints();

  boolean isTypePresentDecimalThreeFractionDigits();

  boolean isTypePresentDecimalThreeFractionDigitsPercentage();

  boolean isTypePresentDecimalThreeFractionDigitsPercentagePoints();

  boolean isTypePresentBoolean();

  boolean isTypePresentDate();

  boolean isTypePresentTimestamp();

  boolean isTypePresentTime();

  boolean isTypePresentEnum();

  boolean isTypePresentCollection();

  boolean isTypePresentColor();

  boolean isIconPresent();

  boolean isTypePresentBild();
}
